### Virtual Method

# Gtk Buildable add_child

#### Declaration [src]

    void
    add_child (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* type
    )

#### Description [src]

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

#### Parameters

`builder` | `GtkBuilder`
| A `GtkBuilder`.
| The data is owned by the caller of the function.
`child` | `GObject*`
| Child to add.
| The data is owned by the caller of the function.
`type` | `const char*`
| Kind of child or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.